KeymapManager.State (jEdit API Documentation)
Date: 2015-02-03

org.jedit.keymap

## Enum KeymapManager.State

- java.lang.Object
- - java.lang.Enum<KeymapManager.State>
  - - org.jedit.keymap.KeymapManager.State

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Comparable<KeymapManager.State>
  Enclosing interface:
    KeymapManager

      public static enum KeymapManager.State
      extends java.lang.Enum<KeymapManager.State>

  The states of the keymaps

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `System` System keymap.
    `SystemModified` Modified system keymap.
    `Unknown` Unknown keymap (doesn't exists).
    `User` User keymap.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static KeymapManager.State` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static KeymapManager.State[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### User

          public static final KeymapManager.State User

      User keymap.

    - #### System

          public static final KeymapManager.State System

      System keymap.

    - #### SystemModified

          public static final KeymapManager.State SystemModified

      Modified system keymap.

    - #### Unknown

          public static final KeymapManager.State Unknown

      Unknown keymap (doesn't exists).

  - ### Method Detail

    - #### values

          public static KeymapManager.State[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (KeymapManager.State c : KeymapManager.State.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static KeymapManager.State valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null